/*
   FILE:							       	
	shm_common.h							       
								       	
   DESCRIPTION:							       	
        Include file containing the definitions of the trace measurement code
	
	(Based on "hello_mbuff" example by Der Her Hofrat, 2001)

	See README file for details.
					       				
   Copyright (C) 2003
	Andres Terrasa Barrena
	Ana Garcia Fornes
	Agustin Espinosa Minguet

  This is free software;  you can  redistribute it  and/or modify it under
  terms of the  GNU General Public License as published  by the Free Soft-
  ware  Foundation;  either version 2,  or (at your option) any later ver-
  sion.  It is distributed in the hope that it will be useful, but WITH-
  OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY
  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for  more details.  You should have  received  a copy of the GNU General
  Public License;  see file COPYING.  If not, write to  the Free Software 
  Foundation,  59 Temple Place - Suite 330,  Boston, MA 02111-1307, USA.

  LAST REVISION:
        April 2003

*/


#include <mbuff.h>


#define MEASUREMENTS_MBUF "test_ptrace_perf1_buffer"

#define MAX_MEASUREMENTS  400000

#define TRACE_EVENT_1     0xf6ab
#define TRACE_EVENT_2     0x5dac
#define GETNEXT_EVENT_1   0x35cd
#define GETNEXT_EVENT_2   0xaad1
#define TRACE_SYSEVENT    0xab15
#define VOID              0xfbbc


typedef struct measure_unit {
  int type;
  long long before;
  long long after;
} measure_unit_t;

volatile measure_unit_t *measure_shm;
